Skip to main content
DELETE
/
publisher
/
publishers
/
{id}
/
statements
/
{statementId}
/
adjustments
/
{adjustmentId}
Remove a manual adjustment from a statement (H-05)
curl --request DELETE \
  --url https://api.royalti.io/publisher/publishers/{id}/statements/{statementId}/adjustments/{adjustmentId} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.royalti.io/publisher/publishers/{id}/statements/{statementId}/adjustments/{adjustmentId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.royalti.io/publisher/publishers/{id}/statements/{statementId}/adjustments/{adjustmentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "message": "<string>",
  "data": {
    "removed": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "type": "manual",
      "source": "<string>",
      "territory": "<string>",
      "amount": 123,
      "currency": "<string>",
      "notes": "<string>",
      "description": "<string>",
      "createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "createdAt": "2023-11-07T05:31:56Z"
    },
    "remaining": 123
  }
}
{
"status": "error",
"message": "<string>",
"code": "<string>",
"details": {}
}
{
"status": "error",
"message": "<string>",
"code": "<string>",
"details": {}
}
This endpoint requires authentication. Include your Bearer token in the Authorization header.

Description

statement is approved or paid. Authorization: admin role + publisher addon.

Code Examples

const response = await fetch('https://api.royalti.io/publisher/publishers/{id}/statements/{statementId}/adjustments/example-id', {
  method: 'DELETE',
  headers: {
    'Authorization': `Bearer ${token}`,
  },
});

const data = await response.json();
console.log(data);
import requests

response = requests.delete(
  'https://api.royalti.io/publisher/publishers/{id}/statements/{statementId}/adjustments/example-id',
  headers={
    'Authorization': f'Bearer {token}'
  },
)

data = response.json()
print(data)
curl -X DELETE https://api.royalti.io/publisher/publishers/{id}/statements/{statementId}/adjustments/example-id \
  -H "Authorization: Bearer YOUR_TOKEN" \

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme. Format: "Bearer {token}"

Path Parameters

id
string<uuid>
required
statementId
string<uuid>
required
adjustmentId
string<uuid>
required

Response

Adjustment removed.

Standard server envelope used by the statement, reconciliation, sub-publishing, and analytics endpoints.

status
enum<string>
Available options:
success,
error
message
string
data
object